--called at the start of a game, makes the objects in question
function initHost()
	crateNum = math.random(1, 3)
	for i = 1, crateNum do
		--randomize placement of the create
		sx = terrain.x + math.random(0, terrain.wid)
		sy = terrain.y + math.random(0, terrain.het)
		
		--create the crate and rotate it
		stage.createShip("CrateExplosive", "null", sx,sy, 0)
		ship.spin = math.random() - .5
		ship.rot = math.random(0,359)
		ship.orbitx = terrain.centerx
		ship.orbity = terrain.centery
	end
	
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function
	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 24	--from map_icons.png, which frame to use.
	icon.color = 0
	return 0
end